# Uses of Interface
javax.management.loading.ClassLoaderRepository

Packages that use ClassLoaderRepository
Package
Description
javax.management
Provides the core classes for the Java Management Extensions.
javax.management.modelmbean
Provides the definition of the ModelMBean classes.

- ## Uses of ClassLoaderRepository in javax.management

  Methods in javax.management that return ClassLoaderRepository
  Modifier and Type
  Method
  Description
  `ClassLoaderRepository`
  MBeanServer.`getClassLoaderRepository()`
  Return the ClassLoaderRepository for this MBeanServer.
  `static ClassLoaderRepository`
  MBeanServerFactory.`getClassLoaderRepository(MBeanServer server)`
  Return the ClassLoaderRepository used by the given MBeanServer.

- ## Uses of ClassLoaderRepository in javax.management.modelmbean

  Methods in javax.management.modelmbean that return ClassLoaderRepository
  Modifier and Type
  Method
  Description
  `protected ClassLoaderRepository`
  RequiredModelMBean.`getClassLoaderRepository()`
  Return the Class Loader Repository used to perform class loading.